# Generated by Django 3.1.2 on 2020-10-15 16:01

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('jadwal', '0002_auto_20201015_1501'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='addschedule',
            name='Description',
        ),
        migrations.RemoveField(
            model_name='addschedule',
            name='Lecturer',
        ),
        migrations.RemoveField(
            model_name='addschedule',
            name='Room',
        ),
        migrations.RemoveField(
            model_name='addschedule',
            name='SKS',
        ),
        migrations.RemoveField(
            model_name='addschedule',
            name='Semester',
        ),
        migrations.RemoveField(
            model_name='addschedule',
            name='Subject',
        ),
        migrations.AddField(
            model_name='addschedule',
            name='desc',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='addschedule',
            name='lecturer',
            field=models.CharField(blank=True, max_length=50, verbose_name='Lecturer'),
        ),
        migrations.AddField(
            model_name='addschedule',
            name='room',
            field=models.CharField(blank=True, max_length=50, verbose_name='Room'),
        ),
        migrations.AddField(
            model_name='addschedule',
            name='sks',
            field=models.IntegerField(default=1, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(24)], verbose_name='Credits'),
        ),
        migrations.AddField(
            model_name='addschedule',
            name='smt',
            field=models.CharField(blank=True, choices=[('Gasal 2019/2020', 'Gasal 2019/2020'), ('Genap 2019/2020', 'Genap 2019/2020'), ('Gasal 2020/2021', 'Gasal 2020/2021'), ('Genap 2020/2021', 'Genap 2020/2021')], default='Gasal 2020/2021', max_length=50, verbose_name='Semester'),
        ),
        migrations.AddField(
            model_name='addschedule',
            name='sub',
            field=models.CharField(blank=True, max_length=50, verbose_name='Subject'),
        ),
    ]
